VERSION 5.00
Begin VB.Form ExportForm 
   Caption         =   "Export Access Log"
   ClientHeight    =   3735
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5355
   LinkTopic       =   "Form2"
   ScaleHeight     =   3735
   ScaleWidth      =   5355
   StartUpPosition =   1  'CenterOwner
   Begin VB.Frame Frame1 
      Caption         =   "File Name"
      Height          =   615
      Left            =   120
      TabIndex        =   19
      Top             =   3000
      Width           =   5055
      Begin VB.TextBox FileName 
         Height          =   285
         Left            =   120
         TabIndex        =   20
         Text            =   "C:\Export.txt"
         Top             =   240
         Width           =   4695
      End
   End
   Begin VB.TextBox DateTo 
      Height          =   285
      Left            =   3840
      TabIndex        =   18
      Top             =   1800
      Width           =   1095
   End
   Begin VB.TextBox DateFrom 
      Height          =   285
      Left            =   3840
      TabIndex        =   17
      Top             =   1440
      Width           =   1095
   End
   Begin VB.CommandButton Command2 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4080
      TabIndex        =   7
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   4080
      TabIndex        =   6
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox DepartmentID 
      Height          =   285
      Left            =   1440
      TabIndex        =   5
      Top             =   2640
      Width           =   1695
   End
   Begin VB.TextBox EmployeeID 
      Height          =   285
      Left            =   1440
      TabIndex        =   4
      Top             =   2280
      Width           =   1695
   End
   Begin VB.ComboBox TimeRange 
      Height          =   315
      ItemData        =   "Export.frx":0000
      Left            =   1440
      List            =   "Export.frx":0002
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   1440
      Width           =   1695
   End
   Begin VB.CheckBox Header 
      Caption         =   "Column Header"
      Height          =   255
      Left            =   1440
      TabIndex        =   2
      Top             =   960
      Width           =   1695
   End
   Begin VB.ComboBox Report 
      Height          =   315
      ItemData        =   "Export.frx":0004
      Left            =   1440
      List            =   "Export.frx":0006
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   120
      Width           =   1695
   End
   Begin VB.ComboBox ReportFormat 
      Height          =   315
      ItemData        =   "Export.frx":0008
      Left            =   1440
      List            =   "Export.frx":000A
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   480
      Width           =   1695
   End
   Begin VB.Label Label9 
      Caption         =   "To"
      Enabled         =   0   'False
      Height          =   255
      Left            =   3480
      TabIndex        =   16
      Top             =   1830
      Width           =   375
   End
   Begin VB.Label Label8 
      Caption         =   "From"
      Enabled         =   0   'False
      Height          =   255
      Left            =   3360
      TabIndex        =   15
      Top             =   1470
      Width           =   375
   End
   Begin VB.Label Label7 
      Caption         =   "(Left empty for all)"
      Height          =   255
      Left            =   3240
      TabIndex        =   14
      Top             =   2640
      Width           =   1575
   End
   Begin VB.Label Label6 
      Caption         =   "(Left empty for all)"
      Height          =   255
      Left            =   3240
      TabIndex        =   13
      Top             =   2280
      Width           =   1815
   End
   Begin VB.Label Label5 
      Caption         =   "Department"
      Height          =   255
      Left            =   120
      TabIndex        =   12
      Top             =   2640
      Width           =   1215
   End
   Begin VB.Label Label4 
      Caption         =   "Employee ID"
      Height          =   255
      Left            =   120
      TabIndex        =   11
      Top             =   2280
      Width           =   1095
   End
   Begin VB.Label Label3 
      Caption         =   "Time"
      Height          =   255
      Left            =   120
      TabIndex        =   10
      Top             =   1440
      Width           =   1095
   End
   Begin VB.Label Label2 
      Caption         =   "Format"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   480
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "Report Type"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   1095
   End
End
Attribute VB_Name = "ExportForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
' Setup Dialog for Access Log / Attendance Report Export
'
Dim nResult As Integer
Public ReportFrom As Date
Public ReportTo As Date

Public Function Execute() As Integer

    nResult = 0
    Report.ListIndex = 0
    ReportFormat.ListIndex = 0
    TimeRange.ListIndex = 0
    EmployeeID.Text = ""
    DepartmentID.Text = ""
    ReportFrom = 0
    ReportTo = 0
    
    Show 1, MainForm
    Execute = nResult

End Function

Private Sub Command1_Click()

    If TimeRange.ListIndex = 1 Then
        If DateFrom.Text <> "" Then
            ReportFrom = DateFrom.Text
        End If
        
        If DateTo.Text <> "" Then
            ReportTo = DateTo.Text
        End If
    End If
    
    If Dir(FileName.Text) <> "" Then
        If MsgBox("File '" & FileName.Text & "' already exist! Ok to overwrite?", vbOKCancel + vbInformation, "iGuard System") = vbCancel Then
            Exit Sub
        End If
        
        Kill FileName.Text
    End If
    
    nResult = 1
    Hide
    
End Sub

Private Sub Command2_Click()
    nResult = 0
    Hide
End Sub

Private Sub Form_Load()

    Report.AddItem "Access Log", 0
    Report.AddItem "Attendance", 1
    Report.AddItem "Daily In/Out", 2
    
    ReportFormat.AddItem "Text", 0
    ReportFormat.AddItem "Excel", 1
    
    TimeRange.AddItem "All", 0
    TimeRange.AddItem "Range", 1
    TimeRange.AddItem "Today", 2
    TimeRange.AddItem "Yesterday", 3
    TimeRange.AddItem "This week", 4
    TimeRange.AddItem "Last week", 5
    TimeRange.AddItem "This month", 6
    TimeRange.AddItem "Last month", 7

End Sub


Private Sub TimeRange_Click()
    
    Dim b As Boolean
    
    b = (TimeRange.ListIndex = 1)
        
    Label8.Enabled = b
    Label9.Enabled = b
    DateFrom.Enabled = b
    DateTo.Enabled = b

End Sub
